## edu.cwru.SimpleRTS.action
Class ActionQueue

    java.lang.Object
      edu.cwru.SimpleRTS.action.ActionQueue

    public class ActionQueue

extends java.lang.Object

A data class that stores an action and the proposed subactions to acheive that Required because the full

Constructor Summary
`ActionQueue(Action fullAction, java.util.LinkedList<Action> primitives)`

Method Summary
`Action` `getFullAction()`
`boolean` `hasNext()`
`Action` `popPrimitive()`
`void` `resetPrimitives(java.util.LinkedList<Action> primitives)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionQueue

    public ActionQueue(Action fullAction,
                       java.util.LinkedList<Action> primitives)

Method Detail

### getFullAction

    public Action getFullAction()

### popPrimitive

    public Action popPrimitive()

### hasNext

    public boolean hasNext()

### resetPrimitives

    public void resetPrimitives(java.util.LinkedList<Action> primitives)